Show warning when no tracker uses the status in the workflows
Status: Closed Start date:
Assignee: Go MAEDA % Done: 0%
Category: Administration Estimated time: 0.00 hour
Target version: 4.1.0

Resolution: Fixed

Description

As Jan wrote in #9226, beginners often get confused after creating a new issue status that they cannot find the newly added status in
the Status drop-down. This is because they haven't learned that they should associate statuses to trackers by configuring workflows.

| think it is helpful for them if Redmine shows a proper warning when no tracker uses the status in its workflows. The warning will give
them a good hint about the fact that they should configure workflows to uses the issue status.

Issue statuses ) New status
Status Issue closed
New g Delete
Assigned $ Delete
Resolved g Delete
Feedback t Delete
Closed v g Delete
Rejected $ Delete
aaa No tracker uses this status in the workflows (Edit) 3 Delete

Related issues:
Related to Redmine - Feature #30853: Show warning when no workflow is defined... Closed
Related to Redmine - Feature #9226: Add new issue status to all workflows by ... New 2011-09-11

Associated revisions

Revision 17903 - 2019-02-26 09:37 - Go MAEDA

Show warning when no workflow uses the status in the workflows (#30916).

Patch by Go MAEDA.

Revision 17904 - 2019-02-26 09:46 - Go MAEDA
Update locales (#30916).

History

#1 - 2019-02-25 04:54 - Go MAEDA

- Related to Feature #30853: Show warning when no workflow is defined for the role added

#2 - 2019-02-25 04:57 - Go MAEDA

- File no-workflow-warning-for-statuses.patch added

Here is a patch.

#3 - 2019-02-25 06:59 - Go MAEDA
- File no-workflow-warning-for-statuses-v2.patch added

- File status_no_workflow@2x.png added
Updated the patch. Fixed that the warning message was displayed in the wrong column.

#4 - 2019-02-25 13:02 - Go MAEDA

- File no-workflow-warning-for-statuses-v3.patch added

Updated the patch. Added test code.

#5 - 2019-02-25 23:31 - Marius BALTEANU

Useful information for Administrators (together with #30853).

#6 - 2019-02-25 23:46 - Go MAEDA
- Related to Feature #9226: Add new issue status to all workflows by default added

#7 - 2019-02-26 00:44 - Go MAEDA

- Target version set to 4.1.0

Setting the target version to 4.1.0.

#8 - 2019-02-26 09:38 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#9 - 2019-02-26 11:41 - Go MAEDA

- Subject changed from Show warning when no workflow uses the status in the workflows to Show warning when no tracker uses the status in the

workflows

Files

status_no_workflow@2x.png 26.6 KB 2019-02-25 Go MAEDA
no-workflow-warning-for-statuses.patch 1.54 KB 2019-02-25 Go MAEDA
no-workflow-warning-for-statuses-v2.patch 1.54 KB 2019-02-25 Go MAEDA
status_no_workflow@2x.png 26.6 KB 2019-02-25 Go MAEDA
no-workflow-warning-for-statuses-v3.patch 2.5KB 2019-02-25 Go MAEDA
